<div class="col-g-12">
  <div class="ui-g-12"></div>
  <div class="ui-g-12" style="background-color: white; border: 1px solid black">
    <div class="ui-g-12">
      <button
        pButton
        type="submit"
        label="Filter"
        icon="fa-filter"
        class="ui-button-primary flat-label-button"
        (click)="filter()"
      ></button>
      <button
        pButton
        label="Download"
        icon="fa-cogs"
        class="ui-button-primary flat-label-button"
        (click)="exportExcel()"
      ></button>
    </div>
    <div *ngIf="user === 'JNY'">
      <div class="ui-g-12">
        <p-fieldset legend="SBS" [toggleable]="true">
          <div class="ui-g-12">
            <p-fieldset legend="EVN" [toggleable]="true">
              <br /><br /><br /><br />
              <div id="chartdivBarEVN" style="height: 500px"></div>
            </p-fieldset>
          </div>
          <div class="ui-g-12">
            <p-fieldset legend="JTR" [toggleable]="true">
              <br /><br /><br /><br />
              <div id="chartdivBarJTR" style="height: 500px"></div>
            </p-fieldset>
          </div>
          <div class="ui-g-12">
            <p-fieldset legend="SVY" [toggleable]="true">
              <br /><br /><br /><br />
              <div id="chartdivBarSVY" style="height: 500px"></div>
            </p-fieldset>
          </div>
        </p-fieldset>
      </div>
      <div class="ui-g-12">
        <p-fieldset legend="SKG" [toggleable]="true">
          <div class="ui-g-12">
            <p-fieldset legend="SVY_SKG" [toggleable]="true">
              <br /><br /><br /><br />
              <div id="chartdivBarSVYSKG" style="height: 500px"></div>
            </p-fieldset>
          </div>
        </p-fieldset>
      </div>
      <!-- <div class="ui-g-12">
        <p-fieldset legend="SMK" [toggleable]="true">
          <div class="ui-g-12">
            <p-fieldset legend="JTR_SMK" [toggleable]="true">
              <br /><br /><br /><br />
              <div id="chartdivBarJTRSMK" style="height: 500px"></div>
            </p-fieldset>
          </div>
          <div class="ui-g-12">
            <p-fieldset legend="SVY_SMK" [toggleable]="true">
              <br /><br /><br /><br />
              <div id="chartdivBarSVYSMK" style="height: 500px"></div>
            </p-fieldset>
          </div>
        </p-fieldset>
      </div> -->
    </div>
    <div *ngIf="user !== 'JNY'">
      <div *ngIf="currentPlant === 'SBS'">
        <div [hidden]="user === 'JTR' || user === 'EVN'">
          <div class="ui-g-12">
            <p-fieldset legend="EVN" [toggleable]="true">
              <br /><br /><br /><br />
              <div id="chartdivBarEVN" style="height: 500px"></div>
            </p-fieldset>
          </div>
          <div class="ui-g-12">
            <p-fieldset legend="JTR" [toggleable]="true">
              <br /><br /><br /><br />
              <div id="chartdivBarJTR" style="height: 500px"></div>
            </p-fieldset>
          </div>
          <div class="ui-g-12">
            <p-fieldset legend="SVY" [toggleable]="true">
              <br /><br /><br /><br />
              <div id="chartdivBarSVY" style="height: 500px"></div>
            </p-fieldset>
          </div>
        </div>

        <div *ngIf="user === 'JTR'">
          <div class="ui-g-12">
            <p-fieldset legend="JTR" [toggleable]="true">
              <br /><br /><br /><br />
              <div id="chartdivBarJTR" style="height: 500px"></div>
            </p-fieldset>
          </div>
        </div>
        <div *ngIf="user === 'EVN'">
          <div class="ui-g-12">
            <p-fieldset legend="EVN" [toggleable]="true">
              <br /><br /><br /><br />
              <div id="chartdivBarEVN" style="height: 500px"></div>
            </p-fieldset>
          </div>
        </div>
      </div>
      <div *ngIf="currentPlant === 'SKG'">
        <div class="ui-g-12">
          <p-fieldset legend="SVY_SKG" [toggleable]="true">
            <br /><br /><br /><br />
            <div id="chartdivBarSVYSKG" style="height: 500px"></div>
          </p-fieldset>
        </div>
      </div>
      <div *ngIf="currentPlant === 'SMK'">
        <div class="ui-g-12">
          <p-fieldset legend="SVY_SKG" [toggleable]="true">
            <br /><br /><br /><br />
            <div id="chartdivBarSVYSKG" style="height: 500px"></div>
          </p-fieldset>
        </div>
        <div class="ui-g-12">
          <p-fieldset legend="JTR_SMK" [toggleable]="true">
            <br /><br /><br /><br />
            <div id="chartdivBarJTR_SMK" style="height: 500px"></div>
          </p-fieldset>
        </div>
      </div>
    </div>
  </div>
</div>
